package com.goafanti.user.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.goafanti.common.utils.excel.Excel;

import java.util.Date;
import java.util.List;


public class OutOrderUserService {
	@Excel(name = "订单编号")
	private String orderNo;
	@Excel(name = "合同编号")
	private String contractNo;
	@Excel(name = "状态",readConverterExp = "0=正常，1=作废，2=锁定，3=变更中")
	private Integer deleteSign;
	@Excel(name = "签单时间")
	private String signTimes;
	@Excel(name = "下单时间")
	private String orderTimes;
	@Excel(name = "订单部门")
	private String depName;
	@Excel(name = "客户名称")
	private String userName;
	@Excel(name = "申报项目")
	private String projects;
	@Excel(name = "咨询师")
	private String consultants;
	@Excel(name = "申报批次")
	private String declareBatchs;
	@Excel(name = "证书编号")
	private String certificationNos;
	@Excel(name = "最新跟进时间")
	private String newTimes;
	@Excel(name = "跟进客服")
	private String adminName;
	@Excel(name = "是否添加微信",readConverterExp = "0=否，1=是")
	private Integer addWechat;
	@Excel(name = "微信号")
	private String wechat;
	@Excel(name = "续签", readConverterExp = "0=其他，1=否，企业已签其他机构，2=否，企业自己申报，3=否，企业不打算申报/注销，"
			+ "4=否，客户考虑中，无报价，5=否，客户考虑中，已报价，6=是，已续签/复审")
	private Integer renewal;
	@Excel(name = "续签时间")
	private String renewalTimes;
	@Excel(name = "签单项目")
	private String signProject;
	@Excel(name = "备注")
	private String remarks;
	@Excel(name = "技术端满意度",readConverterExp = "0=已投诉，1=不满意，2=一般满意，3=非常满意")
	private Integer techSatisfaction;
	@Excel(name = "业务端满意度",readConverterExp = "0=已投诉，1=不满意，2=一般满意，3=非常满意")
	private Integer businessSatisfaction;
	@Excel(name = "是否入群",readConverterExp = "0=否，1=是")
	private Integer addGroupChat;
	@Excel(name = "入群时间")
	private Date addGroupChatTime;
	private String uid;
	private List<OrderProject> list;

	@JsonFormat(pattern = "yyyy-MM-dd" ,timezone = "GMT+8")
	public Date getAddGroupChatTime() {
		return addGroupChatTime;
	}

	public void setAddGroupChatTime(Date addGroupChatTime) {
		this.addGroupChatTime = addGroupChatTime;
	}

	public Integer getAddGroupChat() {
		if (addGroupChat==null)return 0;
		return addGroupChat;
	}

	public void setAddGroupChat(Integer addGroupChat) {
		this.addGroupChat = addGroupChat;
	}

	public Integer getTechSatisfaction() {
		return techSatisfaction;
	}
	public void setTechSatisfaction(Integer techSatisfaction) {
		this.techSatisfaction = techSatisfaction;
	}
	public Integer getBusinessSatisfaction() {
		return businessSatisfaction;
	}
	public void setBusinessSatisfaction(Integer businessSatisfaction) {
		this.businessSatisfaction = businessSatisfaction;
	}
	public Integer getDeleteSign() {
		return deleteSign;
	}
	public void setDeleteSign(Integer deleteSign) {
		this.deleteSign = deleteSign;
	}
	public String getOrderTimes() {
		return orderTimes;
	}
	public void setOrderTimes(String orderTimes) {
		this.orderTimes = orderTimes;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getSignTimes() {
		return signTimes;
	}
	public void setSignTimes(String signTimes) {
		this.signTimes = signTimes;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getProjects() {
		return projects;
	}
	public void setProjects(String projects) {
		this.projects = projects;
	}
	public String getConsultants() {
		
		return consultants;
	}
	public void setConsultants(String consultants) {
		this.consultants = consultants;
	}
	public String getDeclareBatchs() {
		
		return declareBatchs;
	}
	public void setDeclareBatchs(String declareBatchs) {
		this.declareBatchs = declareBatchs;
	}
	public String getCertificationNos() {
		StringBuffer s =new StringBuffer();
		if (!list.isEmpty()) {
			for (OrderProject p : list) {
				if (p.getCertificateNumber()!=null) {
					s.append(p.getCertificateNumber());
				}else {
					s.append("无");
				}
				s.append("/");
			}
			return s.substring(0, s.length()-1);
		}
		return certificationNos;
	}
	public void setCertificationNos(String certificationNos) {
		this.certificationNos = certificationNos;
	}
	public String getAdminName() {
		return adminName;
	}
	public void setAdminName(String adminName) {
		this.adminName = adminName;
	}
	public Integer getAddWechat() {
		return addWechat;
	}
	public void setAddWechat(Integer addWechat) {
		this.addWechat = addWechat;
	}
	public String getWechat() {
		return wechat;
	}
	public void setWechat(String wechat) {
		this.wechat = wechat;
	}
	public Integer getRenewal() {
		return renewal;
	}
	public void setRenewal(Integer renewal) {
		this.renewal = renewal;
	}
	public String getRenewalTimes() {
		return renewalTimes;
	}
	public void setRenewalTimes(String renewalTimes) {
		this.renewalTimes = renewalTimes;
	}
	
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	public String getNewTimes() {
		return newTimes;
	}
	public void setNewTimes(String newTimes) {
		this.newTimes = newTimes;
	}
	public List<OrderProject> getList() {
		return list;
	}
	public void setList(List<OrderProject> list) {
		this.list = list;
	}
	public String getDepName() {
		return depName;
	}
	public void setDepName(String depName) {
		this.depName = depName;
	}
	public String getSignProject() {
		return signProject;
	}
	public void setSignProject(String signProject) {
		this.signProject = signProject;
	}
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	
	
	


}
